- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes
qparms.h File Reference

Declares the template query parameter-related stuff. More...

`#include "stadapter.h"`
`#include <vector>`

Go to the source code of this file.

## Classes
class | mysqlpp::SQLQueryParms
| This class holds the parameter values for filling template queries. More...
struct | mysqlpp::SQLParseElement
| Used within Query to hold elements for parameterized queries. More...

## Detailed Description

Declares the template query parameter-related stuff.

The classes defined in this file are used by class Query when it parses a template query: they hold information that it finds in the template, so it can assemble a SQL statement later on demand.